### Function

# Vips ArrayDouble new

#### Declaration [src]

    VipsArrayDouble*
    vips_array_double_new (
      const double* array,
      int n
    )

#### Description [src]

Allocate a new array of doubles and copy `array` into it. Free with `vips_area_unref()`.

See also

`VipsArea`.

#### Parameters

`array`

  Type: An array of `double`

  Array of double.

  The length of the array is specified in the `n` argument.
  The data is owned by the caller of the function.

`n`

  Type: `int`

  Number of doubles.

#### Return value

Type: `VipsArrayDouble`

A new `VipsArrayDouble`.

The caller of the function takes ownership of the data, and is responsible for freeing it.